<!doctype html>
<html lang="en">
<head>
    <meta http-equiv="refresh" content="3600" />
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <title>WeatherApp Stefan Schanz</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">WeatherApp</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
    </ul>
  </div>
</nav>

<div class="heading">
    <div class="container-fluid">
        <div class="row">
            <div class="col text-center">
                <div class="p-3 mb-2 bg-success text-white">
                    <h1>What's the Weather right now?</h1>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="configuration" style="padding-top: 50px">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-3 mx-auto text-center">
                <form method="post">
                    {% csrf_token %}
                    <div class="input-group">
                        {{ form.name }}
                        <button type="submit" class="btn btn-dark">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="showingweather" style="padding-top: 50px">
    {% for weather_dictionary in weather_list %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-2 mx-auto text-center">

                    <div class = "content" style="border: 1px solid black">
                            <img src="http://openweathermap.org/img/w/{{ weather_dictionary.icon }}.png" class="img-fluid" alt="Responsive image">
                            <br>
                            <h3><a href = "weather/{{ weather_dictionary.city }}" style="text-decoration: none">{{ weather_dictionary.city }}</a></h3>
                            {{ weather_dictionary.temperature }} °C
                            <br>
                            {{ weather_dictionary.description }}
                            <br>
                            <br>
                    </div>
                </div>
        </div>
    </div>
    {% endfor %}
</div>

<!-- Optional JavaScript -->
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
</body>
</html>